Summary:	Point-to-Point Tunneling Protocol (PPTP) Client
Summary(pl.UTF-8):	Klient protokołu PPTP (Point-to-Point Tunneling Protocol)
Name:		pptp
Version:	1.10.0
Release:	1
License:	GPL v2+
Group:		Networking/Admin
Source0:	http://downloads.sourceforge.net/pptpclient/%{name}-%{version}.tar.gz
# Source0-md5:	8d25341352fdae5ad5b36b9f18254908
Source1:	%{name}.tmpfiles
URL:		http://pptpclient.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.644
Requires:	ppp >= 2.4.2
Provides:	pptp-linux
Obsoletes:	pptp-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Client for the proprietary Microsoft Point-to-Point Tunneling
Protocol, PPTP. Allows connection to a PPTP based VPN as used by
employers and some cable and ADSL service providers. Requires MPPE
support in kernel.

%description -l pl.UTF-8
Klient PPTP - własnościowego protokołu Point-to-Point Tunneling
Microsoftu. Umożliwia łączenie z siecami VPN opartymi o PPTP używanymi
przez niektóre firmy oraz dostarczycieli łącz kablowych i ADSL. Wymaga
obsugi MPPE w jądrze.

%prep
%setup -q
%{__sed} -i -e 's/install -o root -m 555 pptp/install -m 755 pptp/' Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	IP="/sbin/ip"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/run/pptp \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS PROTOCOL-SECURITY README TODO USING Documentation
%attr(755,root,root) %{_sbindir}/pptp
%attr(755,root,root) %{_sbindir}/pptpsetup
%{_mandir}/man8/pptp.8*
%{_mandir}/man8/pptpsetup.8*
%{systemdtmpfilesdir}/%{name}.conf
%dir %attr(750,root,root) %{_localstatedir}/run/pptp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ppp/options.pptp
%changelog
* Fri Apr 13 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pptp.git;a=log;h=master

* Fri Apr 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 3072510
- updated to 1.10.0

* Mon Apr 06 2015 Jan Palus <atler@pld-linux.org> f0f5dbe
- up to 1.8.0

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 9b3cc49
- unified sf source URL

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 5393e03
- release 3

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> cfe50fa
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 941d744
- add systemd tmpfiles config

* Thu Mar 10 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 384f70b
- fixed path to ip binary (patch by Adam Osuchowski)
- release 2

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> b51584a
- fixed Group

* Tue Jun 24 2008 psz <psz@pld-linux.org> da0b57c
- up to 1.7.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6d85ca9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2f05937
- converted to UTF-8

* Wed Jul 19 2006 Jakub Bogusz <qboosh@pld-linux.org> bde70b6
- unified

* Wed Jul 19 2006 vip <vip@pld-linux.org> 0262d3d
- new package name, updated to 1.7.1

* Fri Aug 05 2005 Adam Gołębiowski <adamg@pld-linux.org> 4759f71
- pass CC

* Sun Mar 27 2005 darekr <darekr@pld-linux.org> ed65f42
- reorder; removed INSTALL from %doc

* Sat Aug 21 2004 misi3k <misi3k@pld-linux.org> 02c0245
- updated to 1.5.0
- rel 1
- added rpm opt flags

* Sun May 30 2004 Jakub Bogusz <qboosh@pld-linux.org> 91f9cfe
- pl desc, some cleanups

* Sat May 29 2004 radek <radek@pld-linux.org> 6dac26f
- fixed pl summary, marked pl desc as TODO

* Sat May 29 2004 misi3k <misi3k@pld-linux.org> f34f5fe
- md5

* Sat May 29 2004 misi3k <misi3k@pld-linux.org> 4625dd0
- almost raw import, NFY

